/*
   WSTAR copyright (c) 2002 Kalle R'is'nen.
   Toggles the wildstar bit in dos.library.
 */

#include <stdio.h>
#include <exec/types.h>
#include <clib/dos_protos.h>
#include <pragmas/dos_pragmas.h>
#include <string.h>

extern struct DosLibrary *DOSBase;

int main()
{
   if(DOSBase->dl_Root->rn_Flags & RNF_WILDSTAR)
      {
      printf("* Wildcard off!\n");
      DOSBase->dl_Root->rn_Flags &= ~RNF_WILDSTAR;
      }
   else
      {
      printf("* Wildcard on!\n");
      DOSBase->dl_Root->rn_Flags |= RNF_WILDSTAR;
      }
   return 0;
}

